Skip to main content
GET
List assessment questions with answers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vendorId
string
required
assessmentId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

onlyFlagged
boolean
default:false

Only return questions whose Vanta AI answer has an active finding flag

searchQuery
string

Only return questions whose text contains this phrase (case-insensitive), up to 50 words

questionId
string

Only return the question with this ID

Response

200 - application/json

Ok

results
object
required